[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.Destroy

Destructor for the class instance.

## Declaration

Source position: extctrls.pp line 1449

`public destructor TCustomTrayIcon.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy calls the Hide method at run-time to ensure that the widgetset class instance is not visible and its animation timer is disabled. It frees resources allocated in the constructor for members in the class instance. Destroy calls the inherited method prior to exit. This allows Free notifications to be performed for ancestor components, and to free child components for the control.

## See also

TCustomTrayIcon.Hide |  | Removes the icon from the System Tray.
TCustomTrayIcon.Icon |  | The Icon or picture that displayed on the tray icon.
TCustomTrayIcon.Icons |  | Image list with the bitmaps used for an animated icon.
TComponent.Destroy